Subject: Re: bug#445: lxc-start and lxc-execute cause segfault started by non-root and completely unusable

From: Mark Hindley <[email-masked]>
Date: Sun, 10 May 2020 09:18:58 +0100

Control: tags -1 debian

On Sun, May 10, 2020 at 09:47:04AM +0900, Ryutaroh Matsumoto wrote:
> > Does your unprivileged user have write access to cgroups? That appears to be a
> > common cause of this from a quick internet search.
> 
> The cause was that I did not install libpam-cgfs package.
> You are welcome to close this, though this seems a minor bug to me.
> I have no idea if this is an upstream issue.

I am glad you found the cause.

libpam-cgfs is a Recommends for lxc. If you feel this should be a Depends then
please report to Debian BTS who package lxc. I agree that if an absent
recommends is not handled gracefully, that is a bug.

Thanks.

Mark